import request from '../../utils/request'

export function getPatientFeeList(patNo, times, ledgerSn) {
    return request({
        url: '/hospitalApproval/getPatientFeeList',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}

export function getAppliedItems(patNo, times, ledgerSn) {
    return request({
        url: '/hospitalApproval/getAppliedItems',
        method: 'get',
        params: {patNo, times, ledgerSn}
    })
}

export function applyHospitalApproval(data) {
    return request({
        url: '/hospitalApproval/applyHospitalApproval',
        method: 'post',
        data
    })
}

export function getAllApplies(month) {
    return request({
        url: '/hospitalApproval/getAllApplies',
        method: 'get',
        params: {month}
    })
}

export function confirmHandleApply(data) {
    return request({
        url: '/hospitalApproval/confirmHandleApply',
        method: 'post',
        data
    })
}